Google Scholar
Google Scholar: Search
Search from Google Scholar. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
google-scholar
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-scholar/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-scholar/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-scholar/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-scholar/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-scholar/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-scholar/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-scholar/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-scholar/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-scholar.search",
"params": {
"q": "machine learning",
"hl": "en",
"num": "10",
"as_ylo": "2020"
},
"response": {
"success": true,
"data": {
"search_parameters": {
"engine": "google_scholar",
"q": "machine learning",
"hl": "en",
"start": 0,
"num": 10,
"as_ylo": "2020",
"scisbd": 0
},
"search_information": {
"query_displayed": "machine learning",
"total_results": 38300,
"result_stats": "About 38,300 results (0.12 sec)"
},
"organic_results": [
{
"position": 1,
"title": "Machine learning",
"result_id": "WHD7vRZpYhIJ",
"link": "https://api.taylorfrancis.com/content/chapters/edit/download?identifierName=doi&identifierValue=10.1201/9780429171529-36&type=chapterpdf",
"snippet": "… learning algorithm can give sensible predictions on data that were not seen during training. This chapter provides an overview of the process by which m achine learning … learning over …",
"publication_info": {
"summary": "S Marsland - Computing Handbook, 2022 - api.taylorfrancis.com",
"authors": [
"…"
]
},
"resources": [
{
"file_format": "PDF"
},
{
"title": "14.139.161.31",
"file_format": "PDF",
"link": "http://14.139.161.31/OldFiles/Machine_Learning_An_Algorithmic_Perspective_(2nd_ed).pdf"
}
]
},
{
"position": 2,
"title": "Machine learning",
"result_id": "K_YKyl3arXoJ",
"link": "https://pubs.acs.org/infocus/book-supplement/2643/pdf/if-2023-x00006_toc/",
"snippet": "Molecular Representations for Machine Learning … Molecular Representations for Machine Learning … 3.2 Simplicial Complexes 3.3 Persistent Homology 3.4 Capturing …",
"publication_info": {
"summary": "M Jones, B Story, V Maroulas, KD Vogiatzis - 2023 - ACS Publications",
"authors": [
"…",
"…",
"…"
]
},
"inline_links": {
"cited_by": {
"total": 292,
"link": "https://scholar.google.com/scholar?cites=8839961739954681387&as_sdt=2005&sciodt=0,5&hl=en",
"cites_id": "8839961739954681387"
},
"related_articles_link": "https://scholar.google.com/scholar?q=related:K_YKyl3arXoJ:scholar.google.com/&scioq=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
}
},
{
"position": 3,
"title": "Machine learning in catalysis, from proposal to practicing",
"result_id": "NiObvdU8xJcJ",
"link": "https://pubs.acs.org/acsodf/article-abstract/5/1/83/873055",
"snippet": "… One of the most powerful strategies within AI is machine learning (ML), which uses algorithms to … It is found that the automated machine-learning process has been assisting in building …",
"publication_info": {
"summary": "W Yang, TT Fidelis, WH Sun - ACS omega, 2020 - ACS Publications",
"authors": [
"…",
"…",
"…"
]
},
"resources": [
{
"file_format": "PDF"
},
{
"title": "acs.org",
"file_format": "PDF",
"link": "https://pubs.acs.org/acsodf/article-pdf/5/1/83/68321629/acsomega.9b03673.pdf"
}
]
}
],
"pagination": {
"current": 1,
"start": 0,
"num": 10,
"next_start": 10,
"has_next": true,
"pages": [
{
"page": 2,
"start": 10,
"link": "https://scholar.google.com/scholar?start=10&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
},
{
"page": 3,
"start": 20,
"link": "https://scholar.google.com/scholar?start=20&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
},
{
"page": 4,
"start": 30,
"link": "https://scholar.google.com/scholar?start=30&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
}
]
}
},
"meta": {
"duration_ms": 3294
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Google Scholar API overview for every Google Scholar endpoint.
Authorizations
Query Parameters
Maximum string length:
500Available options:
0, 1, 2 Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-scholar/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-scholar/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-scholar/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-scholar/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-scholar/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-scholar/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-scholar/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-scholar/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "google-scholar.search",
"params": {
"q": "machine learning",
"hl": "en",
"num": "10",
"as_ylo": "2020"
},
"response": {
"success": true,
"data": {
"search_parameters": {
"engine": "google_scholar",
"q": "machine learning",
"hl": "en",
"start": 0,
"num": 10,
"as_ylo": "2020",
"scisbd": 0
},
"search_information": {
"query_displayed": "machine learning",
"total_results": 38300,
"result_stats": "About 38,300 results (0.12 sec)"
},
"organic_results": [
{
"position": 1,
"title": "Machine learning",
"result_id": "WHD7vRZpYhIJ",
"link": "https://api.taylorfrancis.com/content/chapters/edit/download?identifierName=doi&identifierValue=10.1201/9780429171529-36&type=chapterpdf",
"snippet": "… learning algorithm can give sensible predictions on data that were not seen during training. This chapter provides an overview of the process by which m achine learning … learning over …",
"publication_info": {
"summary": "S Marsland - Computing Handbook, 2022 - api.taylorfrancis.com",
"authors": [
"…"
]
},
"resources": [
{
"file_format": "PDF"
},
{
"title": "14.139.161.31",
"file_format": "PDF",
"link": "http://14.139.161.31/OldFiles/Machine_Learning_An_Algorithmic_Perspective_(2nd_ed).pdf"
}
]
},
{
"position": 2,
"title": "Machine learning",
"result_id": "K_YKyl3arXoJ",
"link": "https://pubs.acs.org/infocus/book-supplement/2643/pdf/if-2023-x00006_toc/",
"snippet": "Molecular Representations for Machine Learning … Molecular Representations for Machine Learning … 3.2 Simplicial Complexes 3.3 Persistent Homology 3.4 Capturing …",
"publication_info": {
"summary": "M Jones, B Story, V Maroulas, KD Vogiatzis - 2023 - ACS Publications",
"authors": [
"…",
"…",
"…"
]
},
"inline_links": {
"cited_by": {
"total": 292,
"link": "https://scholar.google.com/scholar?cites=8839961739954681387&as_sdt=2005&sciodt=0,5&hl=en",
"cites_id": "8839961739954681387"
},
"related_articles_link": "https://scholar.google.com/scholar?q=related:K_YKyl3arXoJ:scholar.google.com/&scioq=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
}
},
{
"position": 3,
"title": "Machine learning in catalysis, from proposal to practicing",
"result_id": "NiObvdU8xJcJ",
"link": "https://pubs.acs.org/acsodf/article-abstract/5/1/83/873055",
"snippet": "… One of the most powerful strategies within AI is machine learning (ML), which uses algorithms to … It is found that the automated machine-learning process has been assisting in building …",
"publication_info": {
"summary": "W Yang, TT Fidelis, WH Sun - ACS omega, 2020 - ACS Publications",
"authors": [
"…",
"…",
"…"
]
},
"resources": [
{
"file_format": "PDF"
},
{
"title": "acs.org",
"file_format": "PDF",
"link": "https://pubs.acs.org/acsodf/article-pdf/5/1/83/68321629/acsomega.9b03673.pdf"
}
]
}
],
"pagination": {
"current": 1,
"start": 0,
"num": 10,
"next_start": 10,
"has_next": true,
"pages": [
{
"page": 2,
"start": 10,
"link": "https://scholar.google.com/scholar?start=10&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
},
{
"page": 3,
"start": 20,
"link": "https://scholar.google.com/scholar?start=20&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
},
{
"page": 4,
"start": 30,
"link": "https://scholar.google.com/scholar?start=30&q=machine+learning&hl=en&as_sdt=0,5&as_ylo=2020"
}
]
}
},
"meta": {
"duration_ms": 3294
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}